Package org.apache.solr.client.solrj.request

## Class SchemaApi.ListDynamicFields

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<SchemaApi.ListDynamicFieldsResponse>
  - - org.apache.solr.client.solrj.request.SchemaApi.ListDynamicFields

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SchemaApi

    public static class SchemaApi.ListDynamicFields
    extends SolrRequest<SchemaApi.ListDynamicFieldsResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`ListDynamicFields​(IndexType indexType, String indexName)` Create a ListDynamicFields request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SchemaApi.ListDynamicFieldsResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrRequest.ApiVersion` `getApiVersion()` Indicates which API version this request will make
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListDynamicFields

    public ListDynamicFields​(IndexType indexType,
                             String indexName)

Create a ListDynamicFields request object.

Parameters:
  `indexType` - Path param -
  `indexName` - Path param -

### Method Detail

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<SchemaApi.ListDynamicFieldsResponse>`

#### getApiVersion

    public SolrRequest.ApiVersion getApiVersion()

Description copied from class: `SolrRequest`
Indicates which API version this request will make

Defaults implementation returns 'V1'.

Overrides:
  `getApiVersion` in class `SolrRequest<SchemaApi.ListDynamicFieldsResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<SchemaApi.ListDynamicFieldsResponse>`

#### createResponse

    protected SchemaApi.ListDynamicFieldsResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<SchemaApi.ListDynamicFieldsResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<SchemaApi.ListDynamicFieldsResponse>`
Returns:
  The `ResponseParser`